import { Phase, RecruitmentStatus, Status, Study } from './ctg-api';
import { Location, ResearchStudy } from 'fhir/r4';
export declare function convertToResearchStudyPhase(phase: Phase): string | undefined;
export declare function convertClincalStudyStatusToFHIRStatus(status: Status): ResearchStudy['status'] | undefined;
export declare function convertRecruitmentStatusToLocationStatus(status: RecruitmentStatus): Location['status'] | undefined;
/**
 *
 * @param study the study to base the result on
 * @param result if given, keeps whatever data is already in the result that
 *   isn't in the ClinicalTrials.gov study object (all other data will be
 *   overwritten on the passed object)
 * @returns the resulting study, either a new object if result was
 *   null/undefined, or the passed ResearchStudy
 */
export declare function createResearchStudyFromClinicalStudy(study: Study, result?: ResearchStudy): ResearchStudy;
